CI 묻고 답하기

제목 cafe24에 CodeIginiter 설치하기
카테고리 일반
글쓴이 목계지덕 작성시각 2017/11/10 16:52:17
댓글 : 3 추천 : 0 스크랩 : 0 조회수 : 554   RSS

cafe24에 웹호스팅을 하고 있습니다.

아래와 같이 CodeIgniter를 설치했는데, 작동이 안됩니다.

포럼을 뒤져봐도 어떻게 해야 할지 모르겠습니다. 누구는 .htaccess 파일을 수정하라고 하는데, 어느 폴더에 있는 파일인지,  어떻게 수정해야 하지는 도통 모르겠습니다.

고수님들 도움 부탁드립니다.

 

CodeIgniter를 설치한 폴더는 아래와 같습니다.

[happy2live@innodb-004 www]$ pwd

/home/hosting_users/happy2live/www

 

[happy2live@innodb-004 www]$ ls -al

합계 24

drwxr-x--- 3 happy2live happy2live 4096 11월 9 17:26 .

drwx------ 3 happy2live happy2live 4096 11월 9 16:22 ..

-rw-r--r-- 1 happy2live happy2live 40 11월 8 14:57 .ftpmessage

drwxr-xr-x 5 happy2live happy2live 4096 9월 26 01:43 CodeIgniter-3.1.6

-rw-r--r-- 1 happy2live happy2live 179 11월 9 16:21 hello.php

-rwxr-x--- 1 happy2live happy2live 379 11월 8 14:57 hosting_index.html

 

[happy2live@innodb-004 www]$ ls -al CodeIgniter-3.1.6

합계 60

drwxr-xr-x 5 happy2live happy2live 4096 9월 26 01:43 .

drwxr-x--- 3 happy2live happy2live 4096 11월 9 17:26 ..

-rw-r--r-- 1 happy2live happy2live 302 9월 26 01:43 .editorconfig

-rw-r--r-- 1 happy2live happy2live 503 9월 26 01:43 .gitignore

drwxr-xr-x 14 happy2live happy2live 4096 9월 26 01:43 application

-rw-r--r-- 1 happy2live happy2live 594 9월 26 01:43 composer.json

-rw-r--r-- 1 happy2live happy2live 6504 9월 26 01:43 contributing.md

-rwxr-xr-x 1 happy2live happy2live 10253 9월 26 01:43 index.php

-rw-r--r-- 1 happy2live happy2live 1114 9월 26 01:43 license.txt

-rw-r--r-- 1 happy2live happy2live 2343 9월 26 01:43 readme.rst

drwxr-xr-x 8 happy2live happy2live 4096 9월 26 01:43 system

drwxr-xr-x 14 happy2live happy2live 4096 9월 26 01:43 user_guide

 

인터넷 익스플로어에서 아래 도메인을 입력하면

http://happy2live.cafe24.com/CodeIgniter-3.1.6/

 

아래와 같은 메세지가 나옵니다.

Parse error: syntax error, unexpected T_CONST in /home/hosting_users/happy2live/www/CodeIgniter-3.1.6/system/core/CodeIgniter.php on line 58

 다음글 인터넷 익스플로어(크롬)에서 한글이 깨짐니다. (2)
 이전글 값 넘겨서 페이지 호출할때 css및 js가 적용되지 않... (2)

댓글

변종원(웅파) / 2017/11/10 17:06:11 / 추천 0

cafe24 호스팅의 php버전이 어떻게 될런지요? 5.3 이하이면 ci3점대 안되고 2점대 설치하셔야 합니다.

해당 에러는 php5.3 이하에서 const 로 상수를 설정할때 생기는 현상입니다. 

 

https://stackoverflow.com/questions/38700959/php-unexpected-t-const

목계지덕 / 2017/11/10 17:17:18 / 추천 0

PHP Version 5.2.17p1 입니다.

그럼, ci version 2로 설치해야 하는군요..

감사합니다.

목계지덕 / 2017/11/10 17:22:48 / 추천 0

웅파님,

정말 감사합니다.

ci version 2를 설치하는까 잘 작동돼요...

하루종일 고생했는데,,,

역시 고수님의 내공이 문제를 해결했습니다.